Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.StructElement Class Reference
Inheritance diagram for FSDK.StructElement:

## Public Member Functions
| constructor ()
| Constructor.
| GetChild (index)
| Get a child structure tree entity by index. More...
| GetChildCount ()
| Get the count of child structure tree entities in the current structure element. More...
| GetElementInfo (type)
| Get the structure element information. More...
| GetParentElement ()
| Get the parent structure element. More...
| GetStructureTypeName ()
| Get structure type name. More...
| HasElementInfo (type)
| Check whether the structure element information of a specific type exist. More...
| RemoveChild (index)
| Remove a child structure tree entity by index. More...
Public Member Functions inherited from FSDK.StructTreeEntity
| constructor ()
| Constructor.
| GetPage ()
| Get the related PDF page. More...
| GetType ()
| Get structure tree entity type. More...
| IsEmpty ()
| Check whether current object is empty or not. More...

## Static Public Attributes
static | e_ElementInfoTypeActualText
| Structure element info type: Actual Text, which means the actual text of structure element.
static | e_ElementInfoTypeAltDescription
| Structure element info type: Alternative Description, which means the alternative description of structure element.
static | e_ElementInfoTypeExpandedForm
| Structure element info type: Expanded Form, which means the expanded form of structure element.
static | e_ElementInfoTypeLanguage
| Structure element info type: Language, which means the natural language for all text in the structure element except where overridden by language specifications for nested structure elements or marked content.
static | e_ElementInfoTypeTitle
| Enumeration for structure element info type. More...
Static Public Attributes inherited from FSDK.StructTreeEntity
static | e_StructTreeEntityTypeElement
| Structure tree entity type: Element, which represents a structure element.
static | e_StructTreeEntityTypeMarkedContent
| Structure tree entity type: MarkedContent, which represents a marked-content item.
static | e_StructTreeEntityTypeObjectContent
| Structure tree entity type: objectContent, which represents a PDF object content item, such as annotation and XObject.
static | e_UnknownType
| Enumeration for structure tree entity type. More...

## Detailed Description

This class represents structure element.

## Member Function Documentation

## ◆ GetChild()

FSDK.StructElement.GetChild | ( | index |  | ) |

Get a child structure tree entity by index.

Parameters

  [in] | index | Index of a child structure tree entity to be retrieved. Valid range: from 0 to (count-1). count is returned by function FSDK.StructElement.GetChildCount.

Returns
  A child structure tree entity object.

## ◆ GetChildCount()

FSDK.StructElement.GetChildCount | ( |  | ) |

Get the count of child structure tree entities in the current structure element.

Returns
  The count of child structure tree entities.

## ◆ GetElementInfo()

FSDK.StructElement.GetElementInfo | ( | type |  | ) |

Get the structure element information.

Before get structure element information, ensure that the function FSDK.StructElement.HasElementInfo has been called and returned true (using the corresponding type).

Parameters

  [in] | type | Structure element information type. Please refer to values starting from FSDK.StructElement.e_ElementInfoTypeTitle and this would be one of these values.

Returns
  Structure element information string.

## ◆ GetParentElement()

FSDK.StructElement.GetParentElement | ( |  | ) |

Get the parent structure element.

Returns
  Parent structure element. If function FSDK.StructElement.IsEmpty for the returned object returns true, that means current element does not have a parent element.

## ◆ GetStructureTypeName()

FSDK.StructElement.GetStructureTypeName | ( |  | ) |

Get structure type name.

Every structure element shall have a structure type, a name object that identifies the nature of the structure element and its role within the document (such as a chapter, paragraph, or footnote). Please refer to the description of "Standard Structure Types" in Section 10.7.3 of <PDF Reference 1.7> or the description of "Standard structure types" in Section 14.8.4 of <PDF Reference 2.0> for more details.

Returns
  A string that represents structure type name of current structure element.

## ◆ HasElementInfo()

FSDK.StructElement.HasElementInfo | ( | type |  | ) |

Check whether the structure element information of a specific type exist.

Parameters

  [in] | type | Structure element information type. Please refer to values starting from FSDK.StructElement.e_ElementInfoTypeTitle and this would be one of these values.

Returns
  true means the element information type has element information, while false means the element information type does not have element information.

## ◆ RemoveChild()

FSDK.StructElement.RemoveChild | ( | index |  | ) |

Remove a child structure tree entity by index.

Parameters

  [in] | index | Index of a child structure tree entity to be retrieved. Valid range: from 0 to (count-1). count is returned by function FSDK.StructElement.GetChildCount.

Returns
  None.

## Member Data Documentation

## ◆ e_ElementInfoTypeTitle

FSDK.StructElement.e_ElementInfoTypeTitle
| static

Enumeration for structure element info type.

Values of this enumeration should be used alone.

Structure element info type: Title, which means the title of the structure element. A text string representing it in human-readable form.